summaryrefslogtreecommitdiff
path: root/dev-ruby/amatch
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/amatch
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/amatch')
-rw-r--r--dev-ruby/amatch/Manifest4
-rw-r--r--dev-ruby/amatch/amatch-0.4.1.ebuild35
-rw-r--r--dev-ruby/amatch/amatch-0.4.2.ebuild39
-rw-r--r--dev-ruby/amatch/amatch-0.5.0.ebuild40
-rw-r--r--dev-ruby/amatch/amatch-0.6.0.ebuild42
-rw-r--r--dev-ruby/amatch/metadata.xml9
6 files changed, 169 insertions, 0 deletions
diff --git a/dev-ruby/amatch/Manifest b/dev-ruby/amatch/Manifest
new file mode 100644
index 000000000000..285793b1b0e6
--- /dev/null
+++ b/dev-ruby/amatch/Manifest
@@ -0,0 +1,4 @@
+DIST amatch-0.4.1.gem 38912 BLAKE2B b485442f9b45dcd02bdff641a68cdbce0e15e81bcaddc71a792b6707621092e0f8181d194db49e82abfb3bf692e0b7ac27b21baed3004b3b5a4dfcdb8bff7d4c SHA512 98befe4cb5a78a754eb3596a55b7c004fbf26ba04a8e8314dd6f28b50feade0fc0a7b78493310de0a75b33720204e8ba9ccb05df4478b2631d15b7d9d62a42a9
+DIST amatch-0.4.2.gem 38912 BLAKE2B b1b839fa33fc72192068439a98f1093c1110630ede327327ac808f3ae70814b9259ccc8133c190115671cbb0cc413223b5de791d2d363ef5d0d52e4593b3c71e SHA512 f6c02d316863727e4af55784eeda4def40866addc4d3620c5f92e85a1a84a283d0b526a8ad01c69633d08ed45fd29eec42ec8ed92418c487d18f70cf90d0dbbb
+DIST amatch-0.5.0.gem 39936 BLAKE2B 2be0b45d64e19c1f60078b772d101e886cde3ff0b2fc86983e2ca1f3bef2be443af55e7e9e1250f1419e7986c3c5da62afce10b7b69ba8ab8c504444ca97b47a SHA512 698514972022c753cb7ddad742fa38d5a1dd144c25c7e0b48ed57b2eccab6dd0578e4e9ef8c99d0f24f57cacb55dddd74398381a624723f089ab20e05797ab6b
+DIST amatch-0.6.0.gem 39936 BLAKE2B 3d40a9680c74bd65f8476d0d8852a3c150abcbeb60852accc05e5e5beb9765f2331ed3ddb193871e3a6bcdd17dad6ae01cff43e8c16fb0f180ea45996c628289 SHA512 ba7395b9ff59e4bcdeaed7b767ace13bb6f77d5485eeac9b804332a425820008daa50bef9303a6a3a83972dd3f01160445076ccab075ce53953b801a69c51670
diff --git a/dev-ruby/amatch/amatch-0.4.1.ebuild b/dev-ruby/amatch/amatch-0.4.1.ebuild
new file mode 100644
index 000000000000..9e7b3fb330ec
--- /dev/null
+++ b/dev-ruby/amatch/amatch-0.4.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Approximate Matching Extension for Ruby"
+HOMEPAGE="https://github.com/flori/amatch"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+
+ruby_add_rdepend "=dev-ruby/tins-1*"
+
+# These packages also provide agrep, bug 626480
+RDEPEND="!dev-libs/tre"
+
+all_ruby_prepare() {
+ # mize is listed as a dependency but not actually used
+ sed -i -e '/mize/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/* || die
+}
diff --git a/dev-ruby/amatch/amatch-0.4.2.ebuild b/dev-ruby/amatch/amatch-0.4.2.ebuild
new file mode 100644
index 000000000000..dc6610107717
--- /dev/null
+++ b/dev-ruby/amatch/amatch-0.4.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Approximate Matching Extension for Ruby"
+HOMEPAGE="https://github.com/flori/amatch"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ dev-ruby/mize
+ =dev-ruby/tins-1*
+"
+
+# These packages also provide agrep, bug 626480
+RDEPEND="!dev-libs/tre"
+
+all_ruby_prepare() {
+ # mize is listed as a dependency but not actually used
+ sed -i -e '/mize/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/* || die
+}
diff --git a/dev-ruby/amatch/amatch-0.5.0.ebuild b/dev-ruby/amatch/amatch-0.5.0.ebuild
new file mode 100644
index 000000000000..ed98ed3ea550
--- /dev/null
+++ b/dev-ruby/amatch/amatch-0.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Approximate Matching Extension for Ruby"
+HOMEPAGE="https://github.com/flori/amatch"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ dev-ruby/debug
+ dev-ruby/mize
+ >=dev-ruby/tins-1
+"
+
+# These packages also provide agrep, bug 626480
+RDEPEND="!dev-libs/tre"
+
+all_ruby_prepare() {
+ sed -e '/simplecov/I s:^:#:' \
+ -i tests/test_helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/* || die
+}
diff --git a/dev-ruby/amatch/amatch-0.6.0.ebuild b/dev-ruby/amatch/amatch-0.6.0.ebuild
new file mode 100644
index 000000000000..c50a7f79c426
--- /dev/null
+++ b/dev-ruby/amatch/amatch-0.6.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Approximate Matching Extension for Ruby"
+HOMEPAGE="https://github.com/flori/amatch"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+ dev-ruby/mize
+ >=dev-ruby/tins-1
+"
+
+ruby_add_bdepend "test? ( dev-ruby/debug )"
+
+# These packages also provide agrep, bug 626480
+RDEPEND="!dev-libs/tre"
+
+all_ruby_prepare() {
+ sed -e '/simplecov/I s:^:#:' \
+ -i tests/test_helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/* || die
+}
diff --git a/dev-ruby/amatch/metadata.xml b/dev-ruby/amatch/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/amatch/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>